SystemOrganization addCategory: #ProyectoFinalTest!

Object subclass: #FabricaOrdenes
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ProyectoFinalTest'!

!FabricaOrdenes methodsFor: 'as yet unclassified' stamp: 'PauloPerez 7/9/2012 11:12'!
OC1
	| orden |
	orden := OrdenCompra
		conEmisor: Emisor new
		conCantidad: 1
		conPrecioTotal: 25
		conFecha: (Date year: 2012 month: 1 day: 1).
	^ orden! !

!FabricaOrdenes methodsFor: 'as yet unclassified' stamp: 'PauloPerez 7/9/2012 11:11'!
OV1
	| orden |
	orden := OrdenVenta
		conEmisor: Emisor new
		conCantidad: 2
		conPrecioTotal: 50
		conFecha: (Date year: 2012 month: 1 day: 4).
	^ orden! !

TestCase subclass: #PEMTest
	instanceVariableNames: 'fabricaOrdenes'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ProyectoFinalTest'!

!PEMTest methodsFor: 'as yet unclassified' stamp: 'PauloPerez 7/9/2012 11:18'!
setUp
	fabricaOrdenes := FabricaOrdenes new! !

!PEMTest methodsFor: 'as yet unclassified' stamp: 'PauloPerez 7/9/2012 11:17'!
tearDown
	fabricaOrdenes := nil! !

!PEMTest methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/5/2012 00:17'!
testDepuracionOrdenes
	"comment stating purpose of message"

	| temporary variable names |
! !

!PEMTest methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/5/2012 00:15'!
testEmisores
	"comment stating purpose of message"

	| temporary variable names |
	! !

!PEMTest methodsFor: 'as yet unclassified' stamp: 'PauloPerez 7/9/2012 22:31'!
testPrecioMercado
	"se crean todas las rdenes de compra y venta del juego de datos y se las agrega una a una al PEM; se pide al PEM que calcule el Precio de Mercado y se chequea que el valor devuelto coincida con el valor esperado."

	| pem precioMercadoEsperado precioMercadoCalculado |
	precioMercadoEsperado := 50.
	pem := PEM new.
	pem
		recibirOrden: fabricaOrdenes OC1;
		recibirOrden: fabricaOrdenes OV1.
	precioMercadoCalculado := pem calcularPrecioMercado.
	self assert: precioMercadoCalculado = precioMercadoEsperado! !

!PEMTest methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/5/2012 00:15'!
testRecepcionOrdenes
	"comment stating purpose of message"

	| temporary variable names |
	! !

!PEMTest methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/5/2012 00:16'!
testTrading
	"comment stating purpose of message"

	| temporary variable names |
	! !
